package techniques.FOL;

import java.util.Vector;

public final class FalseProposition extends Proposition {

	public String toString(){
		return "F";
	}

	/**
	 * from Sentence abstract class
	 */
	public Sentence substitute(Substitution s) {
		return this;
	}

	public Sentence substituteVariable(Variable oldVar, Term newVar){
		return this;
	}

	public Sentence removeQuantifiers (Vector quantifications){
		return this;
	}

	public Substitution unify(Proposition p) {
		/*    if (p instanceof FalseProposition)
			  return Substitution.getEmpty();
		*/
		return null;
	} // end of METHOD unify()

    // Return a list of clauses containing the empty clause (which is false)
    public ClauseList makeClauses() {
	return new ClauseList(new Clause());
    }

	/**
	 * from Proposition abstract class.
	 *
	 * No variables are in an FalseProposition.  Therefore, return
	 * empty Vector.  */
	public Vector obtainVariables() {
		return new Vector();
	} // end of METHOD obtainVariables

} // end of METHOD FalseProposition
