package RRPC;

// Subclasses of this are Axiom and ProofStep

public abstract class ProofLine implements java.io.Serializable {
	static final long serialVersionUID = -2164847231226425734L;
    // Make these protected so the subclasses can see them
    protected int lineNumber;
    protected Clause clause;

    public Clause clause() {
	return clause;
    }

    public int lineNumber(){
	return lineNumber;
    }

    public void setLineNumber(int i){
	lineNumber = i;
    }

    public abstract boolean isAxiom();

}
