package techniques.FOL;

abstract public class Quantifier extends Sentence {

	Sentence s;
	Variable v;

	public Quantifier(Variable v, Sentence s){
		this.v = v;
		this.s = s;
	}

	public Object clone(){
		Quantifier q = (Quantifier) super.clone();
		q.s = (Sentence)s.clone();
		q.v = (Variable)v.clone();
		return q;
	}

	public Sentence simplify(){
		throw new RuntimeException("simplify() should not be called on"
								   + " Sentences containing Quantifiers.");
	}

}
